package w83b.w83bBeans;

import java.sql.ResultSet;

import w83b.util.jdbc.W83bDataBase;
import w83b.w83bDAO.w83bConstantesBD.W83bEscrutiniosBD;
import w83b.w83bDAO.w83bConstantesBD.W83bSindicatosBD;

public class W83bEscrutinioBean extends W83bBaseBean implements W83bBaseBeanBD{

	public String codSindicato="";
	private String idSindicato="";
	private String siglasSindicato="";
	private String actaAnyo="";
	private String actaTerritorio="";
	private String actaNumero="";
	private String actaVersion="";
	private String codColegio="";
	private String delegadosHombres;
	private String delegadosMujeres;
	private String usuario;
	private String fecha;
	private String  numVotos = "";
	
	
	public String getCodSindicato() {
		return codSindicato;
	}

	public void setCodSindicato(String codSindicato) {
		this.codSindicato = codSindicato;
	}

	public String getActaAnyo() {
		return actaAnyo;
	}

	public void setActaAnyo(String actaAnyo) {
		this.actaAnyo = actaAnyo;
	}

	public String getActaTerritorio() {
		return actaTerritorio;
	}

	public void setActaTerritorio(String actaTerritorio) {
		this.actaTerritorio = actaTerritorio;
	}

	public String getActaNumero() {
		return actaNumero;
	}

	public void setActaNumero(String actaNumero) {
		this.actaNumero = actaNumero;
	}

	public String getActaVersion() {
		return actaVersion;
	}

	public void setActaVersion(String actaVersion) {
		this.actaVersion = actaVersion;
	}

	public String getCodColegio() {
		return codColegio;
	}

	public void setCodColegio(String codColegio) {
		this.codColegio = codColegio;
	}

	public String getDelegadosHombres() {
		return delegadosHombres;
	}

	public void setDelegadosHombres(String delegadosHombres) {
		this.delegadosHombres = delegadosHombres;
	}

	public String getDelegadosMujeres() {
		return delegadosMujeres;
	}

	public void setDelegadosMujeres(String delegadosMujeres) {
		this.delegadosMujeres = delegadosMujeres;
	}

	public String getUsuario() {
		return usuario;
	}

	public void setUsuario(String usuario) {
		this.usuario = usuario;
	}

	public String getFecha() {
		return fecha;
	}

	public void setFecha(String fecha) {
		this.fecha = fecha;
	}

	public String getNumVotos() {
		return numVotos;
	}

	public void setNumVotos(String numVotos) {
		this.numVotos = numVotos;
	}

	public void setIdSindicato(String idSindicato) {
		this.idSindicato = idSindicato;
	}

	public String getIdSindicato() {
		return idSindicato;
	}

	public void setSiglasSindicato(String siglasSindicato) {
		this.siglasSindicato = siglasSindicato;
	}

	public String getSiglasSindicato() {
		return siglasSindicato;
	}

	public Object rowToBean(Object o, Object otrosValores) throws Exception {
		ResultSet rs = (ResultSet)o;//NOPMD
			this.codSindicato=W83bDataBase.getStringFromRS(rs, W83bEscrutiniosBD.codSind);
			this.idSindicato = W83bDataBase.getStringFromRS(rs, W83bSindicatosBD.codSindicato);
			this.siglasSindicato = W83bDataBase.getStringFromRS(rs, W83bSindicatosBD.siglas);
			this.actaAnyo=W83bDataBase.getStringFromRS(rs, W83bEscrutiniosBD.anyoActa);
			this.actaTerritorio=W83bDataBase.getStringFromRS(rs, W83bEscrutiniosBD.territorioActa);
			this.actaNumero=W83bDataBase.getStringFromRS(rs, W83bEscrutiniosBD.acta);
			this.actaVersion=W83bDataBase.getStringFromRS(rs, W83bEscrutiniosBD.versionActa);
			this.codColegio=W83bDataBase.getStringFromRS(rs, W83bEscrutiniosBD.codigoColegio);
			this.delegadosHombres=W83bDataBase.getStringFromRS(rs, W83bEscrutiniosBD.delegadosHombres);
			this.delegadosMujeres=W83bDataBase.getStringFromRS(rs, W83bEscrutiniosBD.delegadosMujeres);
			this.usuario=W83bDataBase.getStringFromRS(rs, W83bEscrutiniosBD.usuario);
			this.fecha=W83bDataBase.getStringFromRS(rs, W83bEscrutiniosBD.fecha);
			this.numVotos=W83bDataBase.getStringFromRS(rs, W83bEscrutiniosBD.numVotos);
		return this;
	}
}
